2025.32 Public API / SDK Changes
1 min read
Public API
New Endpoints
tech POST Run Agent - API to modify a call to a standard agent before it is executed.
Set
moduleTypeto eitherinternalif it is a module developed by Unique, orexternalif it is a custom module.The
payloadshould respect the structure of the module events. See below an example of how the payload should look like.
Example
curl --location 'https://gateway.<your-app>.unique.app/public/chat/agent/run' \
--header 'x-user-id: <your-user-id>' \
--header 'x-company-id: <your-company-id>' \
--header 'Authorization: Bearer <your-api-key>' \
--header 'x-app-id: <your-app-id>' \
--header 'x-api-version: 2023-12-06' \
--header 'Content-Type: application/json' \
--data '{
"moduleType": "internal",
"payload": {
"name": "UniqueAi",
"description": "desc",
"configuration": {},
"chatId": "<your-chat-id>",
"assistantId": "<your-assistant-id",
"userMessage": {
"id": "<your-user-message-id>",
"text": "Tell me a story",
"createdAt": "2025-07-31T09:52:43.167Z",
"originalText": "Tell me a story",
"language": "Ennglish"
},
"assistantMessage": {
"id": "<your-assistant-message-id>",
"createdAt": "2025-07-31T09:52:43.167Z"
},
"assistant": { "name": "Unique AI" },
"toolParameters": {
},
"userMetadata": {
}
}
}'Author |
|
|---|